---
title: Source migration
description: Migration is the process of moving manga between sources without losing progress. This is most often used when a source is no longer accessible or another source is more up-to-date.
---

# Source migration

Always make sure to have a backup in case anything unexpected occurs.

Downloaded chapter(s) do not transfer with migrations.

Migrations with downloaded chapter(s) may leave the download behind.
You will need to remove these manually with a file manager.

## Migrating from Manga

1. Tap into a **Manga** you would like to migrate.
1. Go to Overflow and tap Migrate.

    > **Tachiyomi** will do a global search of all the sources you have installed and enabled.
1. Select the **Source** that you'd like to migrate _to_ by tapping the **Manga** thumbnail.
1. Choose which data you want to transfer over, and you're done.

## Migrating from Source

1. Tap into Browse on the bottom navbar.
1. Press the Migrate tab at the top next to Extensions.
1. Select the **Source** that you'd like to migrate _from_.
1. Tap the **Manga** you'd like to migrate _from_ the **Source**.

    > **Tachiyomi** will do a global search of all the sources you have installed and enabled.
1. Select the **Source** you'd like to migrate _to_ by tapping the **Manga** thumbnail.
1. Choose which data you want to transfer over, and you're done.

## Searching only pinned sources

You can restrict global searching to pinned sources if you wish to declutter your search.

To do this, go to **More → Settings → Browse** then toggle the **Only include pinned sources** setting.

Pin sources in Browse using the pin icon next to the source name.

## Migrating multiple Manga

1. Tap **Settings** → **Sources** → **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Manga** is found and hit the done at the top and you're done.

    > If a manga is not found, or is wrong you can manually search it by pressing Overflow → **Search manually**.

## Migrating a single Manga

1. Tap into a **Manga** in your Library.
1. Tap **Overflow** → **Migrate manga**.
1. Select the **Sources** you'd like to search and migrate _to_ and hit the arrow at the bottom right.
1. Wait until it is found and select _done_ in the top right and you're done.

    > If a manga is not found, or is wrong you can manually search it by pressing Overflow → **Search manually**

## Migrating from Library

1. Tap into **Library**.
1. Tap **Overflow** → **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow labeled Migrate at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Manga** is found and hit the done at the top and you're done.

    > If a manga is not found, or is wrong you can manually search it by pressing **Overflow** → **Search manually**.

## Migrating from Source 2

1. Tap into Browse on the bottom navbar.
1. Press the Migrate tab at the top next to Extensions.
1. Select the **Source** that you'd like to migrate _from_.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow labeled Migrate at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Manga** is found and hit the done at the top and you're done.

    > If a manga is not found, or is wrong you can manually search it by pressing **Overflow** → **Search manually**.

## Instructions

1. Tap into **Library**.
1. Tap **Overflow** → **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Manga** is found and hit the done at the top and you're done.

    > If a manga is not found, or is wrong you can manually search it by pressing **Overflow** → **Search manually**.
